package me.jj97181818.ch07_datetimepicker;

import android.app.DatePickerDialog;
import android.app.TimePickerDialog;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.DatePicker;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.Toast;

import java.util.Calendar;

public class MainActivity extends AppCompatActivity implements View.OnClickListener, DatePickerDialog.OnDateSetListener, TimePickerDialog.OnTimeSetListener {


    Calendar c = Calendar.getInstance();
    TextView txDate;
    TextView txTime;
    Toast tos;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        txDate = findViewById(R.id.txv1);
        txTime = findViewById(R.id.txv2);

        txDate.setOnClickListener(this);
        txTime.setOnClickListener(this);

        tos = Toast.makeText(this, "", Toast.LENGTH_SHORT);
    }

    @Override
    public void onClick(View v) {
        if (v == txDate) {
            new DatePickerDialog(this, this, c.get(Calendar.YEAR), c.get(Calendar.MONTH), c.get(Calendar.DAY_OF_MONTH)).show();
        }
        else if (v == txTime) {
            new TimePickerDialog(this, this, c.get(Calendar.HOUR_OF_DAY), c.get(Calendar.MINUTE), true).show();
        }
    }

    @Override
    public void onDateSet(DatePicker view, int year, int month, int dayOfMonth) {
        if (month == 8 && dayOfMonth == 28)
            txDate.setText("跟老師說聲『老師好！』");
        else
            txDate.setText("日期：" + year + "/" + (month + 1) + "/" + dayOfMonth);

        tos.setText("我是一片吐司～～～");
        tos.show();

        Snackbar.make(findViewById(R.id.root), "日期：" + year + "/" + (month + 1) + "/" + dayOfMonth, Snackbar.LENGTH_SHORT).show();
    }

    @Override
    public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
        txTime.setText("時間：" + hourOfDay + ":" + minute);
    }
}
